org.apache.hc.core5.http.nio.entity

## Class NoopEntityConsumer

- java.lang.Object
- - org.apache.hc.core5.http.nio.entity.NoopEntityConsumer

- All Implemented Interfaces:
    AsyncDataConsumer, AsyncEntityConsumer<Void>, ResourceHolder

  Deprecated.
  Use `DiscardingEntityConsumer`

      @Deprecated
      public final class NoopEntityConsumer
      extends Object
      implements AsyncEntityConsumer<Void>

  No-op `AsyncEntityConsumer` that discards all data from the data stream.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoopEntityConsumer()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consume(ByteBuffer src)` Deprecated. Triggered to pass incoming data to the data consumer.
    `void` | `failed(Exception cause)` Deprecated. Triggered to signal a failure in data processing.
    `Void` | `getContent()` Deprecated. Returns the result of entity processing when it becomes available or `null` if the entity is still being received.
    `void` | `releaseResources()` Deprecated.
    `void` | `streamEnd(List<? extends Header> trailers)` Deprecated. Triggered to signal termination of the data stream.
    `void` | `streamStart(EntityDetails entityDetails, FutureCallback<Void> resultCallback)` Deprecated. Signals beginning of an incoming request entity stream.
    `void` | `updateCapacity(CapacityChannel capacityChannel)` Deprecated. Triggered to signal ability of the underlying data stream to receive data capacity update.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoopEntityConsumer

          public NoopEntityConsumer()

      Deprecated.

  - ### Method Detail

    - #### streamStart

          public void streamStart(EntityDetails entityDetails,
                                  FutureCallback<Void> resultCallback)
                           throws IOException,
                                  HttpException

      Deprecated.
      Description copied from interface: `AsyncEntityConsumer`
      Signals beginning of an incoming request entity stream.
      Specified by:
        `streamStart` in interface `AsyncEntityConsumer<Void>`
      Parameters:
        `entityDetails` - the details of the incoming message entity.
        `resultCallback` - the result callback.
      Throws:
        `IOException` - in case of an I/O error.
        `HttpException` - in case of an HTTP protocol violation.

    - #### updateCapacity

          public void updateCapacity(CapacityChannel capacityChannel)
                              throws IOException

      Deprecated.
      Description copied from interface: `AsyncDataConsumer`
      Triggered to signal ability of the underlying data stream to receive data capacity update. The data consumer can choose to write data immediately inside the call or asynchronously at some later point.
      Specified by:
        `updateCapacity` in interface `AsyncDataConsumer`
      Parameters:
        `capacityChannel` - the channel for capacity updates.
      Throws:
        `IOException` - in case of an I/O error.

    - #### consume

          public void consume(ByteBuffer src)
                       throws IOException

      Deprecated.
      Description copied from interface: `AsyncDataConsumer`
      Triggered to pass incoming data to the data consumer. The consumer must consume the entire content of the data buffer. The consumer must stop incrementing its capacity on the capacity channel if it is unable to accept more data. Once the data consumer has handled accumulated data or allocated more intermediate storage it can update its capacity information on the capacity channel.
      Specified by:
        `consume` in interface `AsyncDataConsumer`
      Parameters:
        `src` - data source.
      Throws:
        `IOException` - in case of an I/O error.

    - #### streamEnd

          public void streamEnd(List<? extends Header> trailers)
                         throws IOException

      Deprecated.
      Description copied from interface: `AsyncDataConsumer`
      Triggered to signal termination of the data stream.
      Specified by:
        `streamEnd` in interface `AsyncDataConsumer`
      Parameters:
        `trailers` - data stream trailers.
      Throws:
        `IOException` - in case of an I/O error.

    - #### failed

          public void failed(Exception cause)

      Deprecated.
      Description copied from interface: `AsyncEntityConsumer`
      Triggered to signal a failure in data processing.
      Specified by:
        `failed` in interface `AsyncEntityConsumer<Void>`
      Parameters:
        `cause` - the cause of the failure.

    - #### getContent

          public Void getContent()

      Deprecated.
      Description copied from interface: `AsyncEntityConsumer`
      Returns the result of entity processing when it becomes available or `null` if the entity is still being received.
      Specified by:
        `getContent` in interface `AsyncEntityConsumer<Void>`
      Returns:
        the response processing result.

    - #### releaseResources

          public void releaseResources()

      Deprecated.
      Specified by:
        `releaseResources` in interface `ResourceHolder`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.